[GE users] FW: [GE cvs] CVS update: /gridengine/, /gridengine/source/dist/util/install_modules/

Mulley, Nikhil Nikhil.Mulley at deshaw.com
Wed Jan 16 17:41:38 GMT 2008


Hi,

So, is it like we can expect SMF support for the sge.. That's really
great. Which version would support it?
Are there any live manifests in place yet? Could someone please point me
to more of these things? I am really interested in making SGE SMF
compliant.

Thanks,
Nikhil


-----Original Message-----
From: petrik at sunsource.net [mailto:petrik at sunsource.net] 
Sent: Wednesday, January 16, 2008 9:48 PM
To: cvs at gridengine.sunsource.net
Subject: [GE cvs] CVS update: /gridengine/,
/gridengine/source/dist/util/install_modules/

User: petrik  
Date: 2008-01-16 08:18:21-0800
Modified:
   gridengine/Changelog
   gridengine/source/dist/util/install_modules/inst_common.sh

Log:
 LP-2008-01-16-0: Bugfix:   SMF was used in autoinstall with missing
SGE_ENABLE_SMF
                  Review:  CR

File Changes:

Directory: /gridengine/
=======================

File [changed]: Changelog
Url:
http://gridengine.sunsource.net/source/browse/gridengine/Changelog?r1=1.
4079&r2=1.4080
Delta lines:  +3 -0
-------------------
--- Changelog	2008-01-16 08:03:09-0800	1.4079
+++ Changelog	2008-01-16 08:18:18-0800	1.4080
@@ -1,3 +1,6 @@
+LP-2008-01-16-0: Bugfix:    SMF was used in autoinstall with missing
SGE_ENABLE_SMF
+                 Review:    CR
+
 EB-2008-01-16-0: Enhancem.: Added missing qconf manpage entries
                  Review:    JG
 

Directory: /gridengine/source/dist/util/install_modules/
========================================================

File [changed]: inst_common.sh
Url:
http://gridengine.sunsource.net/source/browse/gridengine/source/dist/uti
l/install_modules/inst_common.sh?r1=1.111&r2=1.112
Delta lines:  +18 -0
--------------------
--- inst_common.sh	2008-01-14 06:26:27-0800	1.111
+++ inst_common.sh	2008-01-16 08:18:19-0800	1.112
@@ -525,6 +525,9 @@
 #
 GetConfigFromFile()
 {
+  SGE_ENABLE_SMF_LAST=$SGE_ENABLE_SMF
+  SGE_ENABLE_SMF=""
+
   IFS="
 "
   if [ $FILE != "undef" ]; then
@@ -536,6 +539,12 @@
   IFS="   
 "
    CheckConfigFile
+
+   #-nosmf takes precedence over the value in the autoinstall template
+   if [ "$SGE_ENABLE_SMF_LAST" = false ]; then
+      SGE_ENABLE_SMF=false;
+   fi
+
    if [ "$BACKUP" = "false" ]; then
       SGE_CELL=$CELL_NAME
       DB_SPOOLING_SERVER=`ResolveHosts $DB_SPOOLING_SERVER`
@@ -599,6 +608,15 @@
       exit 1
    fi
 
+   if [ "$SGE_SMF_ENABLE" = "" ]; then
+      $INFOTEXT -log "The SGE_SMF_ENABLE has not been set in config
file!\n"
+      #If -nosmf was specified we don't require the SGE_SMF_ENABLE to
be set
+      if [ "$SGE_SMF_ENABLE_LAST" != false ]; then  
+         MoveLog
+         exit 1
+      fi
+   fi
+
    if [ "$SGE_ENABLE_JMX" = true ]; then
       if [ -z "$JMX_PORT" -o -z "$SGE_JVM_LIB_PATH" ]; then
          $INFOTEXT -log "The JMX_PORT or SGE_JVM_LIB_PATH has not been
set in config file!\n"




---------------------------------------------------------------------
To unsubscribe, e-mail: cvs-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: cvs-help at gridengine.sunsource.net


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net




More information about the gridengine-users mailing list